Attribute VB_Name = "mMain"
Option Explicit


Sub Main()
    Const DSN = "stocks" ' Should match DSN used by data environment connection
    Const QUERY = "SELECT * FROM zerodate"

    Dim c As Connection
    Dim Count As Long
    Dim Matches As Long
    Dim Message As String
    Dim Rows As Recordset
    
    
    If vbYes = MsgBox("Use Data Environment connection? Yes = DE connection, No = manual connection", vbYesNo Or vbQuestion) Then
        Set c = DataEnvironment1.Connection1
        c.Open
    Else
        Set c = New Connection
        c.Open DSN
    End If
    
    Set Rows = c.Execute(QUERY, Matches)
    Count = 0
    Do Until Rows.EOF
        Count = Count + 1
        Rows.MoveNext
    Loop
        
    Message = "Rows returned = " & CStr(Count) & vbCrLf _
            & "Matches = " & CStr(Matches) & vbCrLf & vbCrLf _
            & IIf(Matches = Count, "Fetched rows with zero dates correctly.", _
                                   "FAILED TO FETCH CORRECT NUMBER OF ROWS.")
    
    MsgBox Message, vbInformation
End Sub
